 TABLE OF CONTENTS

Contacting Infoflex

Introduction to FlexED

FlexED Features

Introduction to HTML

HTML Tutorial

HTML Reference


CONTACTING INFOFLEX

If you would like to purchase FlexED, upgrade to a newer version of FlexED or simply obtain an evaluation copy of FlexED, please e-mail:

sales@infoflex.com.au

Or Fax: + 61 - 2 - 6484515

Or Snail Mail:	Infoflex Pty Ltd

156 Parramatta Rd

Auburn NSW 2144

Australia

TAKE ADVANTAGE OF OUR INTRODUCTION PRICE

Order FlexED before 1 June 1995 for the low price of

AUS $ 29.95

RRP AUS $49.95

Add $6.00 for postage and handling if required.

Our home page can be viewed at http://www.infoflex.com.au


Introduction to FlexED

FlexED is the most powerful tool in the market in designing and creating your internet home pages. The ease at which FlexED operates, allows even the computer illiterate user to create professional home pages quickly and cost effectively. The FlexED Web Editor designs and creates pages for the World Wide Web (WWW). Web pages created by FlexED produce HyperText Markup Language (HTML) documents, a text-based language. Internet Browsers like Netscape and Mosaic read the HTML files, and display them on the screen. The difference between an HTML document and a word processing document is that the same HTML document can be read on many different computer platforms, for example PC, Macintosh and UNIX whilst the word processing document can not.

FlexED is a stand-alone program. This means that it doesn't need an expensive word processing program to run. It also means that you can deal with your HTML documents directly, instead of having to "pretend" that they're standard word processor documents. While you are creating your HTML documents, you can view the document at hand with FlexEDs viewer. That is, you can view your Web Pages as it would display in any Web Browser while you create your documents.  This is the only available HTML editor that supports all versions of HTML and future versions.

FlexED offers many ways to creating HTML documents easier. If you are an experienced HTML author, you can type all the formatting tags directly, or select them from menus and pop-up lists Many hours of productive time on your pages are saved. If you are new to HTML, FlexED has screens and wizards to allow you to create and format your documents easily, insert images and tables, and create hypertext links or hot spots (links to other documents) onto your document without having to learn the HTML language. HTML tags are color coded so they can be easily distinguished from your own text.


FlexED Features

 Syntax Highlighting. - HTML tags are colour coded, this enables you to see the tags separate to you text.

 Built in HTMLviewer - With the built in HTML viewer you do not have to own a web browser to display your HTML documents. You can view your work as you create it.

 Tag Editor - most editors let you insert tags from menu and dialog boxes however when you need to make changes, you have to remember the parameters. Double clicking on a tag withing the html editor will pop up the dialog editor and allow you to enter in or change the parameters.

 Supports both Netscape Extensions to HTML, and proposed HTML 3 elements.

 Windows 95-style interface in Windows 3.1 and Windows NT.

 Dialogs let you perform complex tasks like creating forms and tables in a few seconds.

 Save time and money in creating home pages using FlexED.


Introduction to HTML


HTML Tutorials

The following lessons are available:

Creating an HTML Document

Adding HypertextLinks

Adding Pictures

Adding Tables


TUTORIAL - Creating your first home page

To create your first home page, follow the simple steps below and watch how easy you can create your own home pages with little effort and time.

Select file from the menu and then new to start a new document. This sets up the basis of your first home page.

From here we will insert a heading for your page. Select the [image] icon in your toolbar. This is the largest form of a heading available and decreases in size to H6. After you have done this, the cursor will be positioned in your HTML code to accept your heading. Type in your company name or similar here. Then press Ctrl-R or your [image] icon and your viewer will display your heading. You are now well on your way.

Secondly, we will insert a smaller heading. Position the cursor in the HTML code after our heading text and after the </H1> code. Then select [image] from the toolbar and select H3 from the menu item and repeat the step above.

Next we will place a line after the headings. Position the cursor after the </H3> code and then select the horizontal line [image] from the tool bar. Press re-draw and look at you results.

Next we will add the body of your page and create two paragraphs in doing so. Position the cursor after the <HR> Code and select the paragraph icon [image] from your toolbar. Start typing away until content. Press re-draw to view your work. To Create our next paragraph, position the cursor after the </P> code, select  the paragraph icon [image] from the toolbar and off you type again. You can create as many paragraphs as you wish.

Next we can format your page with some colors, italics and underlining etc. First we can add some color. Double click on the <BODY> in your HTML code and a dialog box will appear outlining your options to format the page.You can select a backgrond image by pressing the button next to this option. You can then search for gif or jpg images to have in the background of your page. Next you can change your text color and background color (bgcolor) by pressing their buttons and a color pallet will be displayed from which you can select your colors. Press OK when finished selecting your colors and press your re-draw button to view your page.

Next we can attempt to format your text a little. First we can change some text into italics. Highlight some text in your HTML code that you have type (say a few words) with your mouse. Press the [image] (Italic) button on your toolbar and the selected text will change. Other formatting you can use for formatting your home page in the same way include underlining, changing font, bold, emphasising and so on. Once again, all as it takes to format your text is to highlight the selected text and press the particluar button on the toolbar for which you want to format the text with. FlexED will do the rest.

Further Tutorials

Adding HypertextLinks

Adding Pictures

Adding Tables


TUTORIAL - Adding Hypertext Links

Hypertext links are links to other functions or documents from your source home page. These can be links to other documents or pages, ftp, mail to, news and so on. These HyperText Links may also be known as Hot Spots. Firstly, decide on the point where you want to place the hypertext link on your document. Select the point in your HTML document code to place the Hypertext link. Then select the Insert [image] (Anchor) button in your tool bar. This will display an editor dialog box. You then have a choice of a Href or Name Link. A Href is a hypertext link to another document or function while a name is a marker inside your HTML document. If for instance you are at the top of your HTML document and select a Name Link (say call it TopofDocument) and press OK, You have created a marker at the top of your document. Then if you create a Href link at the bottom of your HTML document and called the Href Link #TopofDocument, when you click on the hot spot (Top of Document) on your home page if would advance you to the marker placed on your document. Links to other home pages you have created can be made by creating a Href Link and calling the link as your other files filename. The reverse can be put into your other page to return you to your document. Other more advance links can be made with Href and editing the parameters as required in The Href Builder. In here you can find the various links you can make and fill in the required parameters. If for instance, you were making a reference to another home page, say at www.infoflex.com.au/index.html you would first Click the anchor button, select Href, select the link button next to the link input box, select http from the resource list,  type in www.infoflex.com.au as the host address and enter the filename as index.html. This will create a link to the Home page of Infoflex from your own Home page. The cursor will then place you in the HTML document code so you may give the link a name.

Further Tutorials

Creating an HTML Document

Adding Pictures

Adding Tables


TUTORIAL - Adding Pictures

To Add Pictures or graphics into you home page, the following steps are required to load an image. Decide at which point you want the image to appear on your home page and place the cursor in the HTML document code at the requested point. Select the insert [image] (image) button on the toolbar. This will prompt you with an image selector dialog box. First select the image you require in the form of a gif or jpg files. Press the search button next to the image selection input box to search for your image. Once you have selected the image, type in some alternate text to appear, for those which do not wish to view images in their World Wide Web browses. For them, instead of the image displaying, the text you typed in the alternate test will be displayed. Then select the alignment you wish to set for your image. Press OK and your image has been coded into the HTML code. The cursor is ready in the HTML code if you wish to type some text which resides with the image. Your image parameters may be modified by mouse clicking on the <IMG> tag with the HTML document code.

Further Tutorials

Creating an HTML Document

Adding HypertextLinks

Adding Tables


TUTORIAL Adding Tables

Tables can be used to display rows and columns of information in an organised formation. To insert a table into your home page, decide on the location on your home page where the table is to appear and place your cursor in the relevant position in your HTML document code. Select the [image] (table) button in you toolbar. Then select wizard on the pop-up list. This is the quickest way to add a table. A Table editor dialog box will appear and ask you for a caption. This is your table name to appear on the home page. Type your name in here and then align or place table name using the align functions available. Then select weather your headings will be in the columns, rows, both or none. Then enter the rows and columns you require in you table. Once you have completed this, the table editor is ready for text entry. Click your mouse in the appropriate boxes and enter your desired text. Once you have completed this you may adjust the cell spacing and padding as you require. Press OK when you have completed this and your table will be built into your HTML document. If you wish to edit the table parameters, mouse click on the <Table> tag to edit or adjust the parameters.

Further Tutorials

Creating an HTML Document

Adding HypertextLinks

Adding Pictures


HTML CODES INDEX

A, ADDRESS, APPLET, AREA,

B, BASE, BASEFONT, BGSOUND, BIG, BLINK, BODY, BR,

CAPTION, CENTER, CITE, CODE,

DD, DIR, DL, DT,

EM, EMBED,

FONT, FORM, FRAME, FRAMESET,

H1, H2, H3, H4, H5, H6, HEAD, HR, HTML,

I, IMG, INPUT,ISINDEX,

KBD,

LI, LINK,

MAP, MARQUEE, MENU, META,

NOBR, NOEMBED, NOFRAMES,

OL, OPTION,

P, PARAM, PRE,

SAMP, SELECT, SMALL, STRONG, SUB, SUP,

TABLE, TD, TEXTAREA, TH, TITLE, TR, TT,

U, UL,

VAR,

WBR


HTML CODE A

Description

The A element brackets (or anchors) a piece of text (and/or image) which is identified as a hypertext link.  The A element must have either an HREF attribute or a NAME attribute. The HREF attribute identifies a destination URL, and the bracketed text is rendered as a hypertext link to the URL. Browsers will display the contents of an A element with an HREF attribute in a special manner to indicate that if the contents are selected, the browser will execute that hypertext link. The NAME attribute identifies a destination tag, and the bracketed text is thereby identified as an available hypertext target within this document. Browsers do not display the contents of an A element with a NAME attribute in any special way. However, an A element with an HREF attribute can now be constructed by using the document URL suffixed with #name. This will load the document, but will position the display starting at the location of this NAME tag. An A element with an HREF attribute can also be constructed to jump directly to this destination tag within the same document by a URL consisting solely of #name The presence of REL=relation in document A with HREF to document/object B identifies a relationship that B has to A that A recognizes/authorizes/verifies. The presence of REV=relation of the identical relation in document B with HREF to document/object A identifies a desired/expected/claimed relationship that B has to A, but must be verified by checking with A.

Minimum Attributes

<A HREF="..." >characters... </A>

or

<A NAME="..." >characters... </A>

All Possible Attributes

<A HREF="..." NAME="..."  TARGET="..." >characters... </A>


HTML CODE <ADDRESS>

Description

The ADDRESS element defines a separated multi-line set of text to be rendered for address information.

Minimum Attributes

<ADDRESS>characters... </ADDRESS>

All Possible Attributes

<ADDRESS >characters... </ADDRESS>


HTML CODE <APPLET>

see also PARAM

Description

The APPLET element replaced the APP element as the mechanism to identify and invoke a JAVA(tm) application. A browser that understands this element will ignore everything in the content of the APPLET element except the PARAM elements. Browsers that do not understand this element should ignore it and the PARAM elements and instead process the content of the element. Thus the content is the alternate HTML if the application is not invoked. CODE is the name of the file that contains the compiled Applet subclass. This name is relative to the base URL of the applet and cannot be an absolute URL. WIDTH and HEIGHT give the initial width and height (in pixels) of the applet display area. CODEBASE specifies the base URL of the applet. ALT specifies parsed character data to be displayed if the browser understands the APPLET tag but can't/won't run them. NAME specifies a name for the applet instance, which allows applets on the same page to communicate with each other. ALIGN specifies the display alignment. VSPACE and HSPACE specify the reserved space around the applet (in pixels).

Minimum Attributes

<APPLET CODE="..." WIDTH="..." HEIGHT="...">characters... </APPLET>

All Possible Attributes

<APPLET CODE="..." WIDTH="..." HEIGHT="..." CODEBASE="..." ALT="..." NAME="..."

ALIGN=left|right|top|texttop|middle|absmiddle|baseline|bottom|absbottom

VSPACE="..." HSPACE="...">characters... </APPLET>


HTML CODE <AREA>

see also MAP

Description

The AREA element specifies a single area of an image which, if selected, will link to the hyperlink      identified by HREF. If multiple AREA elements in the same MAP define overlapping areas, the first encountered takes precedence

Minimum Attributes

<AREA COORDS="...">

All Possible Attributes

<AREA COORDS="..." SHAPE=rect HREF="..." NOHREF >


HTML CODE <B>

Description

The B element changes the physical rendering of the contents of the element to a bold font.

Minimum Attributes

<B>characters... </B>

All Possible Attributes

<B>characters... </B>


HTML CODE <BASE>

Description

The BASE element provides the absolute URL base to be used for any relative URL links in this     document. It must be a complete file name, and is usually the original URL of this document. If this file is moved, having the BASE set to the original URL eliminates the need to also move all the documents which are identified by relative URL links in this document.

Minimum Attributes

<BASE HREF="...">

All Possible Attributes

<BASE HREF="..." TARGET="...">


HTML CODE <BASEFONT>

Description

Change the document base font size to one of the seven defined sizes. The default is 3.

Minimum Attributes

<BASEFONT SIZE=1|2|3|4|5|6|7>

All Possible Attributes

<BASEFONT SIZE=1|2|3|4|5|6|7>


HTML CODE <BGSOUND>

Description

The BGSOUND element will cause an audio file to be presented as background to the document. (MS Explorer Only)

Minimum Attributes

<BGSOUND SRC="...">

All Possible Attributes

<BGSOUND SRC="..." LOOP="...">


HTML CODE <BIG>

Description

The BIG element changes the physical rendering of the contents of the element to a bigger font than normal text, if practical.

Minimum Attributes

<BIG>characters... </BIG>

All Possible Attributes

<BIG>characters... </BIG>


HTML CODE <BLINK>

Description

The BLINK element changes the physical rendering of the contents of the element to a blinking font. (Netscape 1.1)

Minimum Attributes

<BLINK>characters... </BLINK>

All Possible Attributes

<BLINK>characters... </BLINK>


HTML CODE <BLOCKQUOTE>

Description

The BLOCKQUOTE element defines a separated multi-line set of text to be rendered as quoted text.

Minimum Attributes

<BLOCKQUOTE> </BLOCKQUOTE>

All Possible Attributes

<BLOCKQUOTE>

</BLOCKQUOTE>


HTML CODE <BODY>

see also HEAD TITLE

Description

The BODY element contains all the content of the document, as opposed to the HEAD, which contains information about the document. All displayable elements should be within the content of the BODY.

Minimum Attributes

<BODY>

</BODY>

All Possible Attributes

<BODY BACKGROUND="..."

BGCOLOR="..." TEXT="#rrggbb" LINK="#rrggbb" VLINK="#rrggbb"

ALINK="#rrggbb"> </BODY>


HTML CODE <BR>

Description

The BR element breaks for a new line, but does not produce separation of text.

Minimum Attributes

<BR>

All Possible Attributes

<BR>


HTML CODE <CAPTION>

see also TABLE

Description

The CAPTION element is used to label a table or figure. The ALIGN attribute specifies on which outside edge to place the caption.

Minimum Attributes

<CAPTION>characters... </CAPTION>

All Possible Attributes

<CAPTION ALIGN=top|bottom|left|right >characters... </CAPTION>


HTML CODE <CENTER>

Description

All contents within the CENTER element is to be centered between the current left and right margin. (Netscape 1.1)

Minimum Attributes

<CENTER>characters... </CENTER>

All Possible Attributes

<CENTER>characters... </CENTER>


HTML CODE <CITE>

Description

The CITE element changes the character rendering of the contents of the element to logically represent a citation.

Minimum Attributes

<CITE>characters... </CITE>

All Possible Attributes

<CITE>characters... </CITE>


HTML CODE <CODE>

Description

The CODE element changes the character rendering of the contents of the element to logically represent computer code. It is intended for short words or phrases. PRE is recommended for multiple-line listings.

Minimum Attributes

<CODE>characters... </CODE>

All Possible Attributes

<CODE>characters... </CODE>


HTML CODE <DD>

Description

The DD element identifies the separated multi-line definition item in a DL definition list. In a DL list a DD should always be preceded by at least one DT element.

Minimum Attributes

<DD>characters...

All Possible Attributes

<DD>characters... </DD>


HTML CODE <DIR>

Description

The DIR element defines an unordered list consisting of a number of single-line <LI> elements.

Minimum Attributes

<DIR></DIR>

All Possible Attributes

<DIR COMPACT> </DIR>


HTML CODE <DL>

Description

The DL element defines a definition list. Each item in the list is expected to have two parts, identified by the <DT> and <DD> elements.

Minimum Attributes

<DL></DL>

All Possible Attributes

<DL></DL>


HTML CODE <DT>

Description

The DT element identifies the separated term item in a DL definition list. Multiple DT elements may exist prior to a single DD element. In a DL list a DD should always be preceded by at least one DT element.

Minimum Attributes

<DT>characters...

All Possible Attributes

<DT>characters... </DT>


HTML CODE <EM>

Description

The EM element changes the character rendering of the contents of the element to logically emphasize the text.

Minimum Attributes

<EM>characters... </EM>

All Possible Attributes

<EM >characters... </EM>


HTML CODE <EMBED>

see also NOEMBED

Description

The EMBED element defines a container that allows the insertion of arbitrary objects directly into an HTML page. Embedded objects are supported by application-specific plug-ins. EMBED is defined to allow arbitrary attributes.(Netscape 2.0)

Minimum Attributes

<EMBED SRC="...">

All Possible Attributes

<EMBED SRC="..." HEIGHT="..." WIDTH="..." attribute_1="..." attribute_2="..."

...>characters... </EMBED>


HTML CODE <FONT>

Description

The FONT element changes the font size of the following characters to one of the seven defined sizes, or plus or minus from the document BASEFONT size.

Minimum Attributes

<FONT SIZE=[+|-]1|2|3|4|5|6|7>

All Possible Attributes

<FONT SIZE=[+|-]1|2|3|4|5|6|7 COLOR="..." FACE="...">


HTML CODE <FORM>

Description

The FORM element creates a fill-out form. The browser permits the user to enter information in the fields of the form and sends this information to a cgi-bin script on a server identified as a URL by the ACTION attribute. METHOD=GET (the default) appends the input information to the ACTION URL which on  most receiving systems becomes the value of the environment variable QUERY_STRING.     METHOD=POST (the preferred) sends the input information in a data body which is available on stdin     with the data length set in the environment variable CONTENT_LENGTH. Form data is a stream of     name=value pairs separated by the & character. Each name=value pair is URL encoded, i.e. spaces are     changed into the plus character and some characters are encoded into hexadecimal. At least one of the     following is expected inside the FORM contents: INPUT, SELECT, TEXTAREA.

Minimum Attributes

<FORM></FORM>

All Possible Attributes

<FORM ACTION="..." METHOD=GET|POST ENCTYPE="..." LANG="..." DIR=ltr|rtl

ACCEPT-CHARSET="..." SCRIPT="..."> </FORM>


HTML CODE <FRAME>

Description

The FRAME element defines a single frame in a frameset. The SRC attribute value is the URL of the document to be displayed in this frame. A FRAME element without a SRC is displayed as blank space. The NAME element assigns a name to the frame to be used as a target of hyperlinks. (See the A element) The SCROLLING attribute is used to define whether the frame should have a scrollbar, and defaults to the value "auto". Presence of the NORESIZE attribute prevents the frame from being resized by the user. (Netscape 2.0)

Minimum Attributes

<FRAME>

All Possible Attributes

<FRAME SRC="..." NAME="..." MARGINWIDTH="..." MARGINHEIGHT="..."

SCROLLING=yes|no|auto NORESIZE>


HTML CODE <FRAMESET>

Description

The FRAMESET element is used instead of the BODY element. It is used in an HTML document whose sole purpose is to define the layout of the sub- HTML documents, or Frames, that will make up the page. The ROWS and COLS values are comma-separated lists describing the row-heights and column-widths of the Frames.

Minimum Attributes

<FRAMESET>characters... </FRAMESET>

All Possible Attributes

<FRAMESET ROWS="..." COLS="...">characters... </FRAMESET>


HTML CODE <H1>

Description

The H1 element identifies text to be separated and displayed as the most prominent header.

Minimum Attributes

<H1>characters... </H1>

All Possible Attributes

<H1 ALIGN=left|center|right SEQNUM=nnn SKIP=nnn DINGBAT=entity-name SRC="..."

MD="..." NOWRAP>characters... </H1>


HTML CODE <H2>

Description

The H2 element identifies text to be separated and displayed less prominently than H1 but more     prominently than H3.

Minimum Attributes

<H2>characters... </H2>

All Possible Attributes

<H2 ALIGN=left|center|right SEQNUM=nnn SKIP=nnn DINGBAT=entity-name SRC="..."

MD="..." NOWRAP>characters... </H2>


HTML CODE <H3>

Description

The H3 element identifies text to be separated and displayed less prominently than H2 but more prominently than H4.

Minimum Attributes

<H3>characters... </H3>

All Possible Attributes

<H3 ALIGN=left|center|right SEQNUM=nnn SKIP=nnn DINGBAT=entity-name SRC="..."

MD="..." NOWRAP>characters... </H3>


HTML CODE <H4>

Description

The H4 element identifies text to be separated and displayed less prominently than H3 but more prominently than H5.

Minimum Attributes

<H4>characters... </H4>

All Possible Attributes

<H4 ALIGN=left|center|right SEQNUM=nnn SKIP=nnn DINGBAT=entity-name SRC="..."

MD="..." NOWRAP>characters... </H4>


HTML CODE <H5>

Description

The H5 element identifies text to be separated and displayed less prominently than H4 but more prominently than H6.

Minimum Attributes

<H5>characters... </H5>

All Possible Attributes

<H5 ALIGN=left|center|right SEQNUM=nnn SKIP=nnn DINGBAT=entity-name SRC="..."

MD="..." NOWRAP>characters... </H5>


HTML CODE <H6>

Description

The H6 element identifies text to be separated and displayed less prominently than H5 but more prominently than default text.

Minimum Attributes

<H6>characters... </H6>

All Possible Attributes

<H6 ALIGN=left|center|right SEQNUM=nnn SKIP=nnn DINGBAT=entity-name SRC="..."

MD="..." NOWRAP>characters... </H6>


HTML CODE <HEAD>

Description

The HEAD contains general information about the document. None of the elements authorized to exist in the contents of the HEAD are displayed; the displayed material is found within the BODY.

Minimum Attributes

<HEAD> </HEAD>

All Possible Attributes

<HEAD> </HEAD>


HTML CODE <HR>

Description

The HR element produces a divider between sections of text.

Minimum Attributes

<HR>

All Possible Attributes

<HR ALIGN=left|right|center SIZE=number WIDTH=number|percent

NOSHADE>


HTML CODE <HTML>

Description

The HTML element is intended to bracket the entire HTML text in the document. All other HTML     elements are inside the start and end of the HTML element.

Minimum Attributes

All Possible Attributes

<HTML VERSION="..." > </HTML>


HTML CODE <I>

Description

The I element changes the physical rendering of the contents of the element to an italics (or slanted) font.

Minimum Attributes

<I>characters... </I>

All Possible Attributes

<I>characters... </I>


HTML CODE <IMG>

Description

The IMG element allows an image file to be inserted within an HTML document along with the text. The ALT attribute defines parsed character data that will be displayed if the image is not or cannot be displayed by the browser. The SRC attribute identifies a URL for retrieving the image. The ISMAP attribute is only meaningful if the IMG element is within the contents of an A element, and a responding cgi-bin program has been established at the URL identified by the HREF attribute of the A element. If a single A element spans both an image and text, the cgi-bin program will receive the HREF input values, if any, if the text is selected, or the x,y cursor pixel coordinates relative to 0,0 as the upper-left corner of the image if the image is selected.

Minimum Attributes

<IMG SRC="...">

All Possible Attributes

<IMG SRC="..." ALT="..." ISMAP

ALIGN=bottom|middle|top|left|right|texttop|absmiddle|baseline|absbottom

HEIGHT=value WIDTH=value UNITS="...">


HTML CODE <INPUT>

Description

The INPUT element is used to specify a simple input field as part of the contents in a FORM element. TYPE=text is default. NAME defines the symbolic name of the field returned to the server on submission and must be present for all but TYPE=submit|reset. For TYPE=checkbox|radio, multiple INPUT elements may have the same NAME value. TYPE=radio insures that exactly one choice amongst INPUT elements with the same NAME value is selected at all times. VALUE is used to specify a default. For TYPE=text|password VALUE defines default text to be returned, which normally is null. For TYPE=password the value should be obscured as it is entered. For TYPE=checkbox|radio VALUE defines the value returned when the checkbox or radio is selected, which defaults to "on" For     TYPE=submit|reset VALUE defines the label for the pushbutton. Multiple TYPE=submit should have     different NAME values to identify which submission button was selected. CHECKED defaults the specific checkbox or radio INPUT to selected. For TYPE=radio the default element checked is the first among those with the same NAME value. TYPE=image defines an image, whose URLis identified by the SRC attribute, which, when clicked, performs the form submission and sends the X,Y coordinates of the click, similar to ISMAP in the IMG element. SIZE and MAXLENGTH are only used with TYPE=text|password.  SIZE is the physical size of the displayed input field expressed in characters or characters,rows. MAXLENGTH is the maximum number of characters that are accepted as input.

Minimum Attributes

<INPUT>

All Possible Attributes

<INPUT TYPE="text | password | checkbox | radio | submit | reset | hidden |

image | file | range | scribble | jot" NAME="..." VALUE="..." SRC="..." CHECKED SIZE="..."

MAXLENGTH=number ALIGN=top|middle|bottom|left|right ACCEPT="..." >


HTML CODE <ISINDEX>

Description

This element appears to be a precursor to the <FORM> element which has more features. When placed in the BODY of the document, it requires the ACTION attribute to point to a cgi-bin program which can handle the query, and produces a simple INPUT field with a prompt of: "This is a searchable index. Enter search keywords:" When placed in the HEAD of the document, it informs the browser that the document is an index document and can be examined using a keyword search. The ISINDEX element is usually generated automatically by a server-side script.

Minimum Attributes

<ISINDEX>

All Possible Attributes

<ISINDEX  ACTION="..." PROMPT="...">


HTML CODE <KBD>

Description

The KBD element changes the character rendering of the contents of the element to logically represent text entered as keyboard input.

Minimum Attributes

<KBD>characters... </KBD>

All Possible Attributes

<KBD>characters... </KBD>


HTML CODE <LI>

Description

The LI element defines a list item. It is rendered differently depending upon the list within which it appears

Minimum Attributes

<LI>characters...

All Possible Attributes

<LI  within UL TYPE=disk|circle|square

within OL TYPE=A|a|I|i|i

within OL VALUE=n>characters...</LI>


HTML CODE <LINK>

Description

The LINK element is used to indicate a relationship between this document and other documents or objects. Multiple LINK elements may exist in a document. A LINK in document A with an HREF to document/object B with REL=relation identifies a relationship that B has to A that A recognizes/authorizes/verifies. A LINK in document B with an HREF to document/object A with REV=relation that is the identical relation identifies a desired/expected/claimed relationship of B to document/object A, but must be verified by checking with A. For further description of the LINK attributes, see the A element.

Minimum Attributes

<LINK HREF="..." >

All Possible Attributes

<LINK HREF="..." REL="..." REV="..."

URN="..." TITLE="..." METHODS="..." >


HTML CODE <MAP>

Description

The MAP element is used to name and describe a client-side image map. This is a set of areas defined on an image which can be selected for hyperlinks. NAME defines the map name to be used with the USEMAP attribute on an IMG element.(Netscape 2.0)

Minimum Attributes

<MAP NAME="..."></MAP>

All Possible Attributes

<MAP NAME="..."></MAP>


HTML CODE <MARQUEE>

Description

The MARQUEE element defines an area in which visual scrolling will be used to display the content of the element.(Microsoft Explorer)

Minimum Attributes

<MARQUEE>characters... </MARQUEE>

All Possible Attributes

<MARQUEE ALIGN=top|middle|bottom BEHAVIOR=scroll|slide|alternate

BGCOLOR=#rrggbb|colorname DIRECTION=left|right HEIGHT=number|number%

HSPACE=number LOOP=number|INFINITE|-1 SCROLLAMOUNT=number SCROLLDELAY=number

VSPACE=number>characters... </MARQUEE>


HTML CODE <MENU>

Description

The MENU element defines an unordered list consisting of a number of separated multi-line <LI> elements which may or may not be marked by a bullet or similar symbol.

Minimum Attributes

<MENU></MENU>

All Possible Attributes

<MENU COMPACT> </MENU>


HTML CODE <META>

Description

The META element is used within the HEAD element to embed document meta-information not defined by other HTML elements. Such information may be extracted by servers/browsers. The HTTP-EQUIV attribute binds the element to an HTTP response header. If not present, the NAME attribute should be used to identify this meta-information and it should not be used within an HTTP response header. If the NAME attribute is not present, the name can be assumed equal to the value of HTTP-EQUIV. The CONTENT attribute defines the meta-information content to be associated with the given name and/or HTTP response header.

Minimum Attributes

<META CONTENT="..." >

All Possible Attributes

<META HTTP-EQUIV="..." NAME="..." CONTENT="..." URL="..." >


HTML CODE <NOBR>

Description

All text between the start and end of the NOBR elements cannot have line breaks inserted between them.

Minimum Attributes

<NOBR>characters... </NOBR>

All Possible Attributes

<NOBR>characters... </NOBR>


HTML CODE <NOEMBED>

Description

The NOEMBED element defines content within EMBED content that is to be ignored by browsers that can activiate the EMBED plug-in application. Browsers that can't/won't activate the EMBED plug-in but that understand the EMBED/NOEMBED elements or browsers that do not understand the EMBED/NOEMBED elements will display the NOEMBED content.

Minimum Attributes

<NOEMBED>characters... </NOEMBED>

All Possible Attributes

<NOEMBED>characters... </NOEMBED>


HTML CODE <NOFRAMES>

Description

The NOFRAMES element defines content within FRAMESET content that is to be ignored by browsers that can define Frames. Browsers that can't/won't define Frames but that understand the FRAMESET/NOFRAMES elements or browsers that do not understand the FRAMESET/NOFRAMES elements will display the NOFRAMES content

Minimum Attributes

<NOFRAMES>characters... </NOFRAMES>

All Possible Attributes

<NOFRAMES>characters... </NOFRAMES>


HTML CODE <OL>

Description

The OL element defines an ordered list consisting of a number of separated multi-line <LI> elements, and ordered numerically in some way

Minimum Attributes

<OL></OL>

All Possible Attributes

<OL COMPACT  CONTINUE START=value

TYPE=A|a|I|i|1></OL>


HTML CODE <OPTION>

Description

The OPTION element identifies a choice in a SELECT element, which in turn is part of the contents of a FORM element. SELECTED specifies that this option is selected by default. If SELECT allows MULTIPLE, then multiple options may be SELECTED. If the VALUE attribute it not present and the OPTION is selected, the OPTION contents is returned upon submission of the FORM. If the VALUE attribute is present and the OPTION is selected, the value of the VALUE attribute is returned instead of the contents

Minimum Attributes

<OPTION>characters...

All Possible Attributes

<OPTION SELECTED VALUE="..." >characters... </OPTION>


HTML CODE <P>

Description

The P element is used to denote a paragraph break, and separates two blocks of text. Many other elements automatically imply a text separation, such as headings, list elements, blockquotes, etc

Minimum Attributes

<P>characters...

All Possible Attributes

<P ALIGN=center|left|right|justify>characters... </P>


HTML CODE <PARAM>

Description

The PARAM element is a mechanism to define general purpose parameters to be passed to APPLET applications. NAME is the name of the parameter and VALUE will be obtained by the applet with the getParameter() method

Minimum Attributes

<PARAM NAME="..." VALUE="...">

All Possible Attributes

<PARAM NAME="..." VALUE="...">


HTML CODE <PRE>

Description

The PRE element defines a separated multi-line set of text to be rendered as it exists in the source document with the same line breaks and spaces. Normal text removes multiple spaces and line breaks in the source.

Minimum Attributes

<PRE>characters... </PRE>

All Possible Attributes

<PRE WIDTH=number>characters... </PRE>


HTML CODE <SAMP>

Description

The SAMP element changes the character rendering of the contents of the element to logically represent a sequence of literal characters

Minimum Attributes

<SAMP>characters... </SAMP>

All Possible Attributes

<SAMP>characters... </SAMP>


HTML CODE <SELECT>

Description

The SELECT element defines a menu of a series of selectable input in a FORM, each identified with the OPTION element. At least one OPTION element is expected within the SELECT contents. NAME is the symbolic name of the field returned to the server on submission. SIZE determines the number of OPTIONS physically visible when the browser displays the FORM. The default selection will be the first OPTION in the SELECT contents. The MULTIPLE attribute, if present, allows multiple selections, and causes no OPTION to be the default

Minimum Attributes

<SELECT NAME="...">characters... </SELECT>

All Possible Attributes

<SELECT NAME="..." SIZE=value MULTIPLE >characters... </SELECT>


HTML CODE <SMALL>

Description

The SMALL element changes the physical rendering of the contents of the element to a smaller font than normal text, if practical

Minimum Attributes

<SMALL>characters... </SMALL>

All Possible Attributes

<SMALL>characters... </SMALL>


HTML CODE <STRONG>

Description

The STRONG element changes the character rendering of the contents of the element to logically strengthen the text

Minimum Attributes

<STRONG>characters... </STRONG>

All Possible Attributes

<STRONG>characters... </STRONG>


HTML CODE <SUB>

Description

The SUB element changes the physical rendering of the contents of the element to a subscripted position

Minimum Attributes

<SUB>characters... </SUB>

All Possible Attributes

<SUB> characters... </SUB>


HTML CODE <SUP>

Description

The SUP element changes the physical rendering of the contents of the element to a superscripted position

Minimum Attributes

<SUP>characters... </SUP>

All Possible Attributes

<SUP>characters... </SUP>


HTML CODE <TABLE>

Description

The TABLE element defines a series of rows of table cell elements. The contents of the TABLE element contains a sequence of elements which describe various parts of the table. The order in the sequence is important and consists of: at most one CAPTION element

Minimum Attributes

<TABLE></TABLE>

All Possible Attributes

<TABLE

ALIGN=left|right|center|justify|bleedleft|bleedright WIDTH="..." COLS=number

BORDER="..." FRAME=void|above|below|hsides|lhs|rhs|vsides|box|border

CELLSPACING="..." CELLPADDING="..."

NOWRAP></TABLE>


HTML CODE <TD>

Description

The TD element defines a data cell as part of the TABLE construct.

Minimum Attributes

<TD>

All Possible Attributes

<TD AXIS="..." AXES="..." NOWRAP

ROWSPAN=value COLSPAN=value ALIGN=left|right|center|justify|char|decimal

VALIGN=top|middle|bottom|baseline >characters...</TD>


HTML CODE <TEXTAREA>

Description

The TEXTAREA element is used to specify a multiline input field as part of the contents in a FORM element. NAME defines the symbolic name of the field returned to the server on submission. The characters between the opening and closing tags define the text to be initially displayed in the textarea, and the default text to be returned, normally null. Only ASCII text is allowed as characters, and newlines are respected. ROWS and COLS define the physical size of the displayed input field in numbers of characters

Minimum Attributes

<TEXTAREA NAME="..." ROWS="..." COLS="..."> </TEXTAREA>

All Possible Attributes

<TEXTAREA NAME="..." ROWS="..." COLS="..."  WRAP=off|virtual|physical>characters... </TEXTAREA>


HTML CODE <TH>

Description

The TH element defines a header cell as part of the TABLE construct. The browser should render the table to cause some difference between TH elements and TD elements.

Minimum Attributes

<TH>

All Possible Attributes

<TH AXIS="..." AXES="..." NOWRAP

ROWSPAN=value COLSPAN=value ALIGN=left|right|center|justify|char|decimal

VALIGN=top|middle|bottom|baseline WIDTH=value>characters...</TH>


HTML CODE <TITLE>

Description

The TITLE is not part of the document text. Often the title is used by a browser to label the display window. Some Web search engines only search the title of Web pages. Therefore the text of the TITLE should be kept short but sufficient to identify the document

Minimum Attributes

<TITLE>characters... </TITLE>

All Possible Attributes

<TITLE>characters... </TITLE>


HTML CODE <TR>

Description

The TR element defines a table row in one of the three sections of the TABLE construct:The contents of the TR element is required to contain at least one of either the TH element or the TD element

Minimum Attributes

<TR>

All Possible Attributes

<TR ALIGN=left|right|center|justify|char|decimal CHAR="..." CHAROFF="..."

VALIGN=top|middle|bottom|baseline DP="...">


HTML CODE <TT>

Description

The TT element changes the physical rendering of the contents of the element to a fixed width teletype font

Minimum Attributes

<TT>characters... </TT>

All Possible Attributes

<TT>characters... </TT>


HTML CODE <U>

Description

The U element changes the physical rendering of the contents of the element to an underlined font

Minimum Attributes

<U>characters... </U>

All Possible Attributes

<U>characters... </U>


HTML CODE <UL>

Description

The UL element defines an unordered list consisting of a number of separated multi-line <LI> elements, and usually marked by a bullet or similar symbol.

Minimum Attributes

<UL></UL>

All Possible Attributes

<UL COMPACT TYPE=disk|circle|square> </UL>


HTML CODE <VAR>

Description

The VAR element changes the character rendering of the contents of the element to logically represent a variable name

Minimum Attributes

<VAR>characters... </VAR>

All Possible Attributes

<VAR>characters... </VAR>


HTML CODE <WBR>

Description

The WBR element exists to force the possibility of a word break in a no-break section.

Minimum Attributes

<WBR>

All Possible Attributes

<WBR>